Get the configuration for audit logs.
GET /api/audit_logs/config
GET /api/audit_logs/configInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
curl -X GET "$API_BASE_URL/api/audit_logs/config"Successfully retrieved or updated the audit log configuration.
{
"value": {
"retention_days": 0
}
}Complete operation details and schema variants
GET /api/audit_logs/config
Get the configuration for audit logs.
Get the current audit logging configuration for the organization. Use this to verify how audit events are captured and retained.
No IAM permission required.
Parameters
Responses
200: Successfully retrieved or updated the audit log configuration.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.retention_days(integer, optional): The number of days to retain audit logs.
cURL
curl -X GET '$API_BASE_URL/api/audit_logs/config'